GET /orgs/{org}/insights/api/user-stats/{user_id}
Operation ID: api-insights/get-user-stats
Auth: bearer_token
Description
Get API usage statistics within an organization for a user broken down by the type of access.
Parameters (9)
(string, query, optional)
Providing a substring will filter results where the actor name contains the substring. This is a case-insensitive search.
(string, query, optional, default: desc)
The direction to sort the results by.
Constraints: {'enum': ['asc', 'desc']}
(string, query, optional)
The maximum timestamp to query for stats. Defaults to the time 30 days ago. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
(string, query, required)
The minimum timestamp to query for stats. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.
(string, path, required)
The organization name. The name is not case sensitive.
(integer, query, optional, default: 1)
The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
(integer, query, optional, default: 30)
The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."
(array, query, optional)
The property to sort the results by.
(string, path, required)
The ID of the user to query for stats
No probe data for this endpoint yet.